Bug 442123 - ehci doesn't see my usb stick
ehci doesn't see my usb stick
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 16:46 EDT by Thomas Meyer
Modified: 2009-01-09 01:22 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:22:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Meyer 2008-04-11 16:46:57 EDT
Description of problem:
ehci doesn't see my usb stick

Version-Release number of selected component (if applicable):
uname -a
Linux dhcppc6 2.6.24.4-64.fc8 #1 SMP Sat Mar 29 09:54:46 EDT 2008 i686 athlon
i386 GNU/Linux

How reproducible:
Plugin usb stick

Steps to Reproduce:
1. Plugin usb stick
2. No drive occurs
3.
  
Actual results:
No drive occurs

Expected results:
Drive should occur in list of drives

Additional info:
rmmod ehci_hcd solves the problem (i.e. makes the drive appear), but removes
high speed.

ehci_hcd loaded:

# /sbin/lsusb 
Bus 001 Device 005: ID 413c:2003 Dell Computer Corp. Keyboard
Bus 001 Device 004: ID 045e:0029 Microsoft Corp. IntelliMouse Optical
Bus 001 Device 003: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0
"TetraHub"
Bus 001 Device 002: ID 057c:6201 AVM GmbH WLAN USB v1.1
Bus 001 Device 001: ID 0000:0000  
Bus 002 Device 001: ID 0000:0000  

# /sbin/rmmod ehci_hcd

# /sbin/lsusb 
Bus 002 Device 011: ID 413c:2003 Dell Computer Corp. Keyboard
Bus 002 Device 010: ID 045e:0029 Microsoft Corp. IntelliMouse Optical
Bus 002 Device 009: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0
"TetraHub"
Bus 002 Device 008: ID 057c:6201 AVM GmbH WLAN USB v1.1
Bus 002 Device 007: ID 069b:072f Thomson, Inc. 
Bus 002 Device 001: ID 0000:0000  

# /sbin/lspci -vvv

[cut]
00:02.0 USB Controller: nVidia Corporation MCP55 USB Controller (rev a1)
(prog-if 10 [OHCI])
        Subsystem: Micro-Star International Co., Ltd. Unknown device 7250
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Latency: 0 (750ns min, 250ns max)
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at fbffb000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: ohci_hcd
        Kernel modules: ohci-hcd

00:02.1 USB Controller: nVidia Corporation MCP55 USB Controller (rev a2)
(prog-if 20 [EHCI])
        Subsystem: Micro-Star International Co., Ltd. Unknown device 7250
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
        Interrupt: pin B routed to IRQ 16
        Region 0: Memory at fbffac00 (32-bit, non-prefetchable) [size=256]
        Capabilities: [44] Debug port: BAR=1 offset=0098
        Capabilities: [80] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Kernel modules: ehci-hcd
[cut]

# cat /proc/interrupts
           CPU0       CPU1       
  0:        250          1   IO-APIC-edge      timer
  1:          0          2   IO-APIC-edge      i8042
  7:          1          0   IO-APIC-edge    
  8:          0          3   IO-APIC-edge      rtc
  9:          0          0   IO-APIC-fasteoi   acpi
 12:          0          4   IO-APIC-edge      i8042
 14:       2063      31997   IO-APIC-edge      libata
 15:          0          0   IO-APIC-edge      libata
 16:       2342       8495   IO-APIC-fasteoi   sata_nv
 17:      65826      30549   IO-APIC-fasteoi   ohci_hcd:usb2, sata_nv
 18:      35053      90536   IO-APIC-fasteoi   sata_nv, HDA Intel
216:          0          8      none-edge    
217:      14985         46   PCI-MSI-edge      eth0
NMI:          0          0   Non-maskable interrupts
LOC:     584364     707972   Local timer interrupts
RES:      96308     108312   Rescheduling interrupts
CAL:        167         83   function call interrupts
TLB:       1101        912   TLB shootdowns
TRM:          0          0   Thermal event interrupts
SPU:          0          0   Spurious interrupts
ERR:          1
MIS:          0

# /sbin/modprobe ehci_hcd

# cat /proc/interrupts 
           CPU0       CPU1       
  0:        250          1   IO-APIC-edge      timer
  1:          0          2   IO-APIC-edge      i8042
  7:          1          0   IO-APIC-edge    
  8:          0          3   IO-APIC-edge      rtc
  9:          0          0   IO-APIC-fasteoi   acpi
 12:          0          4   IO-APIC-edge      i8042
 14:       2063      32238   IO-APIC-edge      libata
 15:          0          0   IO-APIC-edge      libata
 16:       2488       8496   IO-APIC-fasteoi   sata_nv, ehci_hcd:usb1
 17:      70771      30549   IO-APIC-fasteoi   ohci_hcd:usb2, sata_nv
 18:      35053      96948   IO-APIC-fasteoi   sata_nv, HDA Intel
216:          0          8      none-edge    
217:      15231         46   PCI-MSI-edge      eth0
NMI:          0          0   Non-maskable interrupts
LOC:     602243     726878   Local timer interrupts
RES:      99340     114618   Rescheduling interrupts
CAL:        170         86   function call interrupts
TLB:       1143        920   TLB shootdowns
TRM:          0          0   Thermal event interrupts
SPU:          0          0   Spurious interrupts
ERR:          1
MIS:          0
Comment 1 Thomas Meyer 2008-04-11 16:59:36 EDT
Ok. Some more info:

My motherboard has 4 usb connectors. 2 of them working fine without intervention
(i.e. rmmoding ehci_hcd).

The other 2 usb connectors on the mainboard start to work when i rmmod ehci_hcd.
Comment 2 Chuck Ebbert 2008-04-16 20:55:59 EDT
Are there messages in the system log when the drive is plugged into the
not-working ports?  (see bug 137183)
Comment 3 Thomas Meyer 2008-04-17 11:25:01 EDT
No. nothing.
Comment 4 Joshua Lamorie 2008-05-09 08:15:16 EDT
Is this on an NForce motherboard?
Comment 5 Thomas Meyer 2008-05-16 11:39:57 EDT
Yes. Indeed. It is.

$ /sbin/lspci
00:00.0 RAM memory: nVidia Corporation MCP55 Memory Controller (rev a1)
00:01.0 ISA bridge: nVidia Corporation MCP55 LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation MCP55 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation MCP55 USB Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation MCP55 USB Controller (rev a2)
00:04.0 IDE interface: nVidia Corporation MCP55 IDE (rev a1)
00:05.0 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a2)
00:05.1 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a2)
00:05.2 IDE interface: nVidia Corporation MCP55 SATA Controller (rev a2)
00:06.0 PCI bridge: nVidia Corporation MCP55 PCI bridge (rev a2)
00:06.1 Audio device: nVidia Corporation MCP55 High Definition Audio (rev a2)
00:08.0 Bridge: nVidia Corporation MCP55 Ethernet (rev a2)
00:09.0 Bridge: nVidia Corporation MCP55 Ethernet (rev a2)
00:0a.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0b.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0c.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0d.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0e.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:0f.0 PCI bridge: nVidia Corporation MCP55 PCI Express bridge (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
07:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GT] (rev a1)

I guess it's called MCP55.
Comment 6 Bug Zapper 2008-11-26 05:28:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 01:22:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.